API reference
Marketplace
Publish redacted requests, submit aircraft offers, exchange private empty-leg inquiries, save partners and read your business briefing.
List Inquiries
GET/v1/marketplace/inquiries
- Scope
read- Quota
- Counts toward your allowance
Query parameters
qstringUp to 120 characters.
statusstringOne of
pendingoffereddeclinedwithdrawnneeds_replybooleanDefaults to
false.awaiting_partnerbooleanDefaults to
false.as_sellerbooleanDefaults to
false.as_buyerbooleanDefaults to
false.trip_request_idUUIDsortstringDefaults to
-updated_at.One of
departs-departspartner-partnerstatus-statusnext_action-next_actionupdated_at-updated_atcursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of inquiry objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/marketplace/inquiries" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Inquiry Detail
GET/v1/marketplace/inquiries/{id}
- Scope
read- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Response
200 OK
Returns the inquiry object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/marketplace/inquiries/$ID" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Inquiry Messages
GET/v1/marketplace/inquiries/{id}/messages
- Scope
read- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Query parameters
cursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of inquiry message objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/marketplace/inquiries/$ID/messages" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Send Inquiry Message
POST/v1/marketplace/inquiries/{id}/messages
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Request body
bodystringRequired1 to 2,000 characters.
Response
201 Created
Returns the inquiry message object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/inquiries/$ID/messages" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--json @body.jsonInquiry Offer
POST/v1/marketplace/inquiries/{id}/offer
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Request body
amount_centsintegerRequired0 or more.
valid_untildate-timeRequiredaircraft_idUUIDcopilot_namestringUp to 120 characters.
crew_notesstringUp to 2,000 characters.
pilot_namestringUp to 120 characters.
termsstringUp to 2,000 characters.
Response
201 Created
Returns the offer object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/inquiries/$ID/offer" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--json @body.jsonInquiry Transition
POST/v1/marketplace/inquiries/{id}/transitions
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Request body
tostringRequiredOne of
declinedwithdrawn
Response
200 OK
Returns the inquiry object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/inquiries/$ID/transitions" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--json @body.jsonList Offers
GET/v1/marketplace/offers
- Scope
read- Quota
- Counts toward your allowance
Query parameters
statusstringOne of
submittedwithdrawnexpiredrequest_changedunavailablebookedclosedbooked_fromdate-timebooked_beforedate-timeactivebooleanDefaults to
false.trip_request_idUUIDfrom_datedateto_datedateqstringUp to 120 characters.
sortstringDefaults to
-updated_at.One of
-updated_atupdated_atroute-routedepart_date-depart_datebroker-brokeraircraft-aircraftamount_cents-amount_centsstatus-statuscursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of offer objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/marketplace/offers" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Offer Detail
GET/v1/marketplace/offers/{id}
- Scope
read- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Response
200 OK
Returns the offer object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/marketplace/offers/$ID" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Offer Quote
POST/v1/marketplace/offers/{id}/quote
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Response
201 Created
Returns the quote object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/offers/$ID/quote" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)"Replace Offer
POST/v1/marketplace/offers/{id}/replacement
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Request body
amount_centsintegerRequired0 or more.
valid_untildate-timeRequiredaircraft_idUUIDcopilot_namestringUp to 120 characters.
crew_notesstringUp to 2,000 characters.
pilot_namestringUp to 120 characters.
termsstringUp to 2,000 characters.
Response
201 Created
Returns the offer object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/offers/$ID/replacement" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--json @body.jsonWithdraw Offer
POST/v1/marketplace/offers/{id}/withdrawal
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Response
200 OK
Returns the offer object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/offers/$ID/withdrawal" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)"Requests
GET/v1/marketplace/requests
- Scope
read- Quota
- Counts toward your allowance
Query parameters
qstringUp to 120 characters.
fromstringUp to 20 characters.
tostringUp to 20 characters.
from_datedateto_datedatearrival_fromdate-timearrival_todate-timecategorystringOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopterbroker_idUUIDsaved_brokersbooleanDefaults to
false.saved_onlybooleanDefaults to
false.sortstringDefaults to
departure.One of
departure-departureroute-routepax-paxbroker-brokerpublished_at-published_atcursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of marketplace request objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/marketplace/requests" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Detail
GET/v1/marketplace/requests/{id}
- Scope
read- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Response
200 OK
Returns the marketplace request object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/marketplace/requests/$ID" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Request Offers
GET/v1/marketplace/requests/{id}/offers
- Scope
read- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Query parameters
statusstringOne of
submittedwithdrawnexpiredrequest_changedunavailablebookedclosedbooked_fromdate-timebooked_beforedate-timeactivebooleanDefaults to
false.trip_request_idUUIDfrom_datedateto_datedateqstringUp to 120 characters.
sortstringDefaults to
-updated_at.One of
-updated_atupdated_atroute-routedepart_date-depart_datebroker-brokeraircraft-aircraftamount_cents-amount_centsstatus-statuscursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of offer objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/marketplace/requests/$ID/offers" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Create Offer
POST/v1/marketplace/requests/{id}/offers
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Request body
amount_centsintegerRequired0 or more.
valid_untildate-timeRequiredaircraft_idUUIDcopilot_namestringUp to 120 characters.
crew_notesstringUp to 2,000 characters.
pilot_namestringUp to 120 characters.
termsstringUp to 2,000 characters.
Response
201 Created
Returns the offer object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/requests/$ID/offers" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--json @body.jsonSaved Partners
GET/v1/marketplace/saved-partners
- Scope
read- Quota
- Counts toward your allowance
Query parameters
target_idUUIDkindstringOne of
brokeroperatorqstringUp to 120 characters.
sortstringDefaults to
-saved_at.One of
name-namekind-kindsaved_at-saved_atcursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of partner objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/marketplace/saved-partners" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Save Partner
PUT/v1/marketplace/saved-partners/{kind}/{id}
- Scope
write- Quota
- Counts toward your allowance
Path parameters
kindstringRequiredOne of
brokeroperatoridUUIDRequired
Response
200 OK
Returns the partner object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request PUT "$CHARTEROPS_API_URL/v1/marketplace/saved-partners/$KIND/$ID" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Remove Partner
DELETE/v1/marketplace/saved-partners/{kind}/{id}
- Scope
write- Quota
- Counts toward your allowance
Path parameters
kindstringRequiredOne of
brokeroperatoridUUIDRequired
Response
204 No content
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request DELETE "$CHARTEROPS_API_URL/v1/marketplace/saved-partners/$KIND/$ID" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Publication
POST/v1/trip-requests/{id}/publication
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Request body
publishedbooleanRequired
Response
200 OK
Returns the publication object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/trip-requests/$ID/publication" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--json @body.jsonCreate Inquiry
POST/v1/empty-legs/{id}/inquiries
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Request body
messagestringRequired1 to 2,000 characters.
trip_request_idUUIDRequired
Response
201 Created
Returns the inquiry object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/empty-legs/$ID/inquiries" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--json @body.jsonActivity
GET/v1/overview/activity
- Scope
read- Quota
- Counts toward your allowance
Query parameters
cursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
5.
Response
200 OK
Returns a page of overview item objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/overview/activity" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Attention
GET/v1/overview/attention
- Scope
read- Quota
- Counts toward your allowance
Query parameters
cursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
5.
Response
200 OK
Returns a page of overview item objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/overview/attention" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Business Summary
GET/v1/overview/summary
- Scope
read- Quota
- Counts toward your allowance
Response
200 OK
Returns the business summary object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/overview/summary" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Objects
Inquiry
brokerobject2 fields in broker
idUUIDnamestring
created_atdate-timeempty_leg_idUUIDidUUIDis_sellerbooleanlegsarray of objects12 fields in legs
arrive_atdate-timeCan be nulldepart_datedatedepart_timetimeCan be nulldepart_timezonestringCan be nulldistance_nmintegerfromobject10 fields in from
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
idUUIDlatest_depart_datedateCan be nullpaxintegerCan be nullseqintegertimezonestringtoobject10 fields in to
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
needs_replybooleanpaxintegerCan be nullsellerobject2 fields in seller
idUUIDnamestring
statusstringOne of
pendingoffereddeclinedwithdrawntrip_request_idUUIDupdated_atdate-time
Inquiry message
authorobject2 fields in author
idUUIDnamestring
bodystringcreated_atdate-timeidUUID
Offer
aircraftobjectCan be null3 fields in aircraft
idUUIDregistrationstringtypeobjectCan be null5 fields in type
categorystringOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicoptericao_designatorstringidUUIDmanufacturerstringmodelstring
aircraft_typeobjectCan be null5 fields in aircraft_type
categorystringOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicoptericao_designatorstringidUUIDmanufacturerstringmodelstring
amount_centsintegerbrokerobject2 fields in broker
idUUIDnamestring
copilot_namestringCan be nullcreated_atdate-timecrew_notesstringCan be nullcurrencystringfirst_legobjectCan be null12 fields in first_leg
arrive_atdate-timeCan be nulldepart_datedatedepart_timetimeCan be nulldepart_timezonestringCan be nulldistance_nmintegerfromobject10 fields in from
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
idUUIDlatest_depart_datedateCan be nullpaxintegerCan be nullseqintegertimezonestringtoobject10 fields in to
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
idUUIDinquiry_idUUIDCan be nullis_ownbooleanoperatorobjectCan be null4 fields in operator
dba_namestringCan be nulldesignatorstringidUUIDlegal_namestring
pilot_namestringCan be nullquote_idUUIDCan be nullsellerobject2 fields in seller
idUUIDnamestring
statusstringOne of
submittedwithdrawnexpiredrequest_changedunavailablebookedclosedtermsstringCan be nulltrip_request_idUUIDupdated_atdate-timevalid_untildate-time
Quote
aircraftobjectCan be null3 fields in aircraft
idUUIDregistrationstringtypeobjectCan be null5 fields in type
categorystringOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicoptericao_designatorstringidUUIDmanufacturerstringmodelstring
aircraft_typeobjectCan be null5 fields in aircraft_type
categorystringOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicoptericao_designatorstringidUUIDmanufacturerstringmodelstring
amount_centsintegercreated_atdate-timecreated_byobjectCan be null3 fields in created_by
avatar_urlstringCan be nulldisplay_namestringuser_idUUIDCan be null
currencystringidUUIDis_expiredbooleanline_itemsarray of objectsCan be null5 fields in line_items
amount_centsintegerkindstringOne of
aircraft_timecrew_dayovernightcateringground_transporttaxes_feescustomlabelstringquantitynumberrate_centsinteger
notesstringCan be nulloperatorobjectCan be null4 fields in operator
dba_namestringCan be nulldesignatorstringidUUIDlegal_namestring
responded_atdate-timeCan be nullresponder_namestringCan be nullresponse_notestringCan be nullsent_atdate-timeCan be nullshared_atdate-timeCan be nullsourcestringstatusstringtrip_request_idUUIDupdated_atdate-timevalid_untildate-timeCan be nullviewed_atdate-timeCan be null
Marketplace request
brokerobject2 fields in broker
idUUIDnamestring
broker_savedbooleanidUUIDis_ownbooleanis_savedbooleanlegsarray of objects12 fields in legs
arrive_atdate-timeCan be nulldepart_datedatedepart_timetimeCan be nulldepart_timezonestringCan be nulldistance_nmintegerfromobject10 fields in from
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
idUUIDlatest_depart_datedateCan be nullpaxintegerCan be nullseqintegertimezonestringtoobject10 fields in to
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
matched_legobject12 fields in matched_leg
arrive_atdate-timeCan be nulldepart_datedatedepart_timetimeCan be nulldepart_timezonestringCan be nulldistance_nmintegerfromobject10 fields in from
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
idUUIDlatest_depart_datedateCan be nullpaxintegerCan be nullseqintegertimezonestringtoobject10 fields in to
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
paxintegerpreferred_categorystringCan be nullOne of
pistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopterpublished_atdate-timeversioninteger
Partner
idUUIDkindstringOne of
brokeroperatornamestringsaved_atdate-timetarget_idUUID
Publication
idUUIDpublishedbooleanpublished_atdate-timeCan be nullversioninteger
Overview item
atdate-timedetailstringhrefstringidUUIDtitlestring
Business summary
kindstringOne of
brokeroperatorpart_91metricsarray of objects5 fields in metrics
currencystringCan be nulldefinitionstringhrefstringlabelstringvalueinteger